Skip to navigation

Create Backup Policy

Creates a backup policy.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project you want to create a backup policy in. You can get your project ID from the API Credentials page in your global management console.

Headers

X-Action-Approval-Request-IdstringOptionalformat: "uuid"

ID of an approved action request. Applicable only when the method is protected by an action approval policy and the action request has been approved. 

When used, the current API request must match the original request parameters. The approved action request can be executed only by the original requester.

Request

This endpoint expects an object.
namestringRequired
Backup policy display name.
resourceSelectorobjectRequired
Configuration that determines which resources are included in the backup policy. Includes a combination of dynamic resource selection and manual overrides.
backupPlanobjectRequired
enabledbooleanOptionalDefaults to true
Whether the backup policy is enabled.

Response

Backup policy created.
backupPolicyobject